# VoidFiendTweaks

A collection of simple but impactful buffs for Void Fiend, made with the intention of increasing his relative strength and making him feel more fluid to play.

Contents are as follows
```
- Drown, Trespass, and Suppress can now be used in conjunction with Flood.
- Entering the corrupt state releases a stunning explosion around you for 350% damage.
- Entering the corrupt state grants a 100% movespeed buff that decays over 4 seconds. This currently uses an existing movespeed buff and cannot be configured for now.
- Void items no longer increase the minimum value of your corruption meter.
- Meter decays by roughly ~33% faster while corrupted; this is to make up for the previous two changes.
- Healing no longer reduces your corruption meter, but Suppress still does.
- Allowed configuration for most corruption meter values.
```
Most of these changes can be configured.

## Disclaimers

1. Very little testing was done, especially in regards to balancing, and absolutely none at all for multiplayer. If you believe any of these changes make Void Fiend too strong, feel free to disable them or fiddle around with the config, and reach out to me on Discord with suggestions.

2. This mod is a temporary measure until Hopoo releases some actual buffs for the character; I will keep it updated as necessary.

## To Do

1. Will add unique buff for movespeed on entering corrupt state.

2. Will work on allowing the player to move in the corruption transition state, but this is not set in stone.

## Contact Me

My Discord ID is **Bog#4770**

For bug reports, feedback, or ideas, feel free to DM me. You can also find me on the official modding discord.

## Change Log
• 0.9.2
```
- Added movespeed bonus upon entering corrupt state
- Added a ton of new config options
- (Hopefully) fixed bug that prevents entering the corrupt state if interrupted during the explosion
```

• 0.9.1
```
- Fixed mistake in Readme.md
- Updated Config and Readme.md for better readability
```


• 0.9.0
```
- Initial release
```